body {
    background-color: #110111;
    color: #ffe7f9;
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
}

input[type="text"],input[type="password"],input[type="number"],textarea {
    margin-left: 20px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
    outline: none;
}

label {
    margin-left: 20px;
}

select {
    margin-left: 8px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
    outline: none;
}

input[type="text"]:focus,input[type="password"]:focus,input[type="number"]:focus,textarea:focus {
    border: 2px solid #f000c8;
}

.content {
    color: #ffd5f6;
    padding: 20px;
    border-radius: 40px;
    box-shadow: 0 0px 48px #250021;
    text-align: left;
    align-items: center;
    background-color: #250021;
}

button {
    transition: transform 0.2s;
    padding: 10px 20px;
    background-color: #f000c8;
    box-shadow: 0 0px 4px #f000c8;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 16px;
    border-radius: 10px;
}

a:link {
    color: #eb92dc;
}

a:visited {
    color: #860097;
}

button:active {
    background-color: #e954d0;
}

button:hover {
    transform: scale(1.05);
}

.checkbox {
    appearance: none;
    width: 20px;
    height: 20px;
    background-color: #250021;
    border: 2px solid #f000c8;
    border-radius: 5px;
    margin-right: 10px;
    cursor: pointer;
    position: relative;
}

.checkbox:checked::before {
    content: '';
    position: absolute;
    top: 2px;
    left: 4px;
    width: 6px;
    height: 8px;
    border: solid #f000c8;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.warning-button {
    background-color: #f00000;
    box-shadow: 0 0px 4px #f00000;
}

.warning-button:active {
    background-color: #ec6d6d;
    box-shadow: 0 0px 4px #ec6d6d;
}

.success-button {
    background-color: #14f000f6;
    box-shadow: 0 0px 4px #14f000f6;
    
}

.success-button:active {
    background-color: #71f165f6;
    box-shadow: 0 0px 4px #71f165f6;
    
    
}

.mobile-only {
    display: none;
    font-weight: 700;
}

.buttonWrapper {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
}


.gay-button {
    padding: 15px 30px;
    font-size: 18px;
    font-weight: bold;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    background: linear-gradient(124deg, #ff2400, #e81d1d, #e8b71d, #e3e81d, #1de840, #1ddde8, #2b1de8, #dd00f3, #dd00f3);
    background-size: 1800% 1800%;
    color: white;
    transition: all 0.5s ease;
    animation: rainbow 5s linear infinite;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }
  

  @keyframes rainbow { 
      0%{background-position:0% 82%}
      50%{background-position:100% 19%}
      100%{background-position:0% 82%}
  }

.gay-button:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
}



/* Mobile styles */
@media (pointer:none), (pointer:coarse) {

    body {
        flex-direction: column;
        padding: 4px;
    }

    .mobile-only {
        display: block;
    }

    .content {
        width: 90%;
        padding: 20px;
        box-shadow: none;
        border-radius: 20px;
    }

    input[type="text"], input[type="password"], input[type="number"] {
        width: 100%;
        margin-left: 0;
        margin-bottom: 15px;
    }

    button {
        width: 100%;
        margin-top: 2px;
        padding: 10px;
        font-size: 32px;
        justify-content: center;
        align-items: center;;
    }

    .checkbox {
        margin-right: 5px;
    }

    p {
        font-size: 24px;
    }

}
